{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="my-schedule" style="margin-top: 150px;">
    <h1 class="pb-3 text-center font-weight-bold">My Schedule</h1>
    <div class="d-flex">
        <a href="{% url 'jadwal:add-schedule' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">Add Schedule</a>
    </div>
    <div class="card mr-auto ml-auto" style="width: 75%; margin-top: 70px;">
        <div class="card-body">
            <div class="table-responsive text-center align-middle">
                <table class ="table">
                    <thead style="background-color: black; color: white;">
                        <tr>
                            <th scope ="col">Subject</th>
                            <th scope ="col">Room</th>
                            <th scope ="col">Lecturer</th>
                            <th scope ="col">Credits</th>
                            <th scope ="col">Semester</th>
                            <th scope ="col">Description</th>
                            <th scope ="col">Delete</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% csrf_token %}
                    {% for sched in sched %}
                    <tr>
                        <td>
                            <a href="{% url 'jadwal:detail' sched.id %}" style="color: #FFB39B; text-decoration: none;">{{ sched.sub }}</a>
                        </td>
                        <td>{{ sched.room }}</td>
                        <td>{{ sched.lecturer }}</td>
                        <td>{{ sched.sks }}</td>
                        <td>{{ sched.smt }}</td>
                        <td>{{ sched.desc }}</td>
                        <td>
                            <a class="btn font-weight-bold" style="background-color: #FFB39B; color: black;" href="{% url 'jadwal:delete-sched' sched.id %}">x</a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% endblock content %}